Package be.e_contract.ejsf.component.viewlogs

# Class ViewLogsResourceHandler

java.lang.Object
javax.faces.application.ResourceHandler
javax.faces.application.ResourceHandlerWrapper
be.e_contract.ejsf.component.viewlogs.ViewLogsResourceHandler

All Implemented Interfaces:
  `javax.faces.FacesWrapper<javax.faces.application.ResourceHandler>`

public class ViewLogsResourceHandler extends javax.faces.application.ResourceHandlerWrapper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LIBRARY_NAME`

### Fields inherited from class javax.faces.application.ResourceHandler

`JSF_SCRIPT_LIBRARY_NAME, JSF_SCRIPT_RESOURCE_NAME, LOCALE_PREFIX, RESOURCE_CONTRACT_XML, RESOURCE_EXCLUDES_DEFAULT_VALUE, RESOURCE_EXCLUDES_PARAM_NAME, RESOURCE_IDENTIFIER, WEBAPP_CONTRACTS_DIRECTORY_PARAM_NAME, WEBAPP_RESOURCES_DIRECTORY_PARAM_NAME`

## Constructor Summary

Constructors
Constructor
Description
`ViewLogsResourceHandler(javax.faces.application.ResourceHandler resourceHandler)`

## Method Summary

Modifier and Type
Method
Description
`javax.faces.application.Resource`
`createResource(String resourceName, String libraryName)`
`javax.faces.application.ResourceHandler`
`getWrapped()`
`boolean`
`libraryExists(String libraryName)`

### Methods inherited from class javax.faces.application.ResourceHandlerWrapper

`createResource, createResource, createResourceFromId, createViewResource, getRendererTypeForResourceName, getViewResources, getViewResources, handleResourceRequest, isResourceRendered, isResourceRequest, isResourceURL, markResourceRendered`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LIBRARY_NAME

public static final String LIBRARY_NAME

See Also:
  - Constant Field Values

## Constructor Details

### ViewLogsResourceHandler

public ViewLogsResourceHandler(javax.faces.application.ResourceHandler resourceHandler)

## Method Details

### getWrapped

public javax.faces.application.ResourceHandler getWrapped()

Specified by:
  `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.application.ResourceHandler>`
Overrides:
  `getWrapped` in class `javax.faces.application.ResourceHandlerWrapper`

### libraryExists

public boolean libraryExists(String libraryName)

Overrides:
  `libraryExists` in class `javax.faces.application.ResourceHandlerWrapper`

### createResource

public javax.faces.application.Resource createResource(String resourceName, String libraryName)

Overrides:
  `createResource` in class `javax.faces.application.ResourceHandlerWrapper`